Bug 1577587 - Installer for PPC64 does not start from USB flash
Summary: Installer for PPC64 does not start from USB flash
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: 28
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-05-13 10:05 UTC by Jonathan Briggs
Modified: 2019-01-08 16:57 UTC (History)
19 users (show)

Fixed In Version: lorax-30.10-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-08 16:57:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 174499 None None None 2019-03-01 14:07:04 UTC

Description Jonathan Briggs 2018-05-13 10:05:58 UTC
Description of problem:
I was attempting to install Fedora Server 28 on a Talos II PPC64.
I was using a USB key I had copied from the downloaded ISO image using the Fedora Media Creator tool.

TLDR: There's no root= or inst.stage2= defined on the installer's kernel command line.

At first it failed with strange timeout messages from dracut-initqueue timeout.

Then I added the command line flag root=/dev/sda1 which is where the USB key was mounting. (The primary drive is NVMe)

Then it failed to switch-root because /sysroot had no os-release file.

I believe now I should have tried inst.stage2=hd:LABEL=Fedora-S-dvd-ppc64le-28 but I didn't get around to it. The x86_64 installer has that command flag.

As far as I can tell the installer code has zero ability to locate a USB installer source on its own. It only looks for optical media in CD/DVD drives.

Comment 1 Jonathan Briggs 2018-05-14 18:46:25 UTC
Adding the inst.stage2 command flag to the install boot command-line fixed the problem booting from USB.

I recommend that someone update the PPC64 installer images (and other arch's as needed) with that, so that they work as well as x86_64.

Comment 2 Jiri Konecny 2018-05-15 08:03:24 UTC
If I'm not mistaken the pungi tool is responsible for creating those images. Changing component.

Comment 3 Lubomír Sedlář 2018-05-15 08:16:34 UTC
Pungi really only calls lorax to create the image. It seems to me it should be fixed at that level.

Comment 4 Brian Lane 2018-05-16 17:49:18 UTC
If someone could confirm that using inst.stage2=hd:LABEL=ISOLABELWHATEVER works on USB and on DVD media I can change it. Right now it's blank because that's what works with DVDs.

Comment 5 Gregory Maxwell 2018-08-21 03:47:57 UTC
I am not the original party but I hit this on Talos II installing F28ppc64le from USB as above, adding inst.stage2=hd:LABEL=Fedora-S-dvd-ppc64le-28 worked for me!

Comment 6 Brian Lane 2018-08-21 16:13:29 UTC
(In reply to Gregory Maxwell from comment #5)
> I am not the original party but I hit this on Talos II installing F28ppc64le
> from USB as above, adding inst.stage2=hd:LABEL=Fedora-S-dvd-ppc64le-28
> worked for me!

Thanks, my concern is that if I change it it will break DVD support. Are you able to test that?

Comment 7 Jonathan Briggs 2018-08-22 03:34:08 UTC
I could test it in theory. But I really don't care to dig out one old Windows machine with a DVD burner, find a blank DVD somewhere in the back of a dark closet, install DVD burner software if it isn't on there, burn a DVD, find out the old media doesn't work, repeat ad-nauseum.

Just to test something that I even doubt gets used.

Who burns DVDs anymore?

Even if it DID break the DVD boot which I doubt it would, it's a lot more important to have working USB boot support in my opinion.

Comment 8 Gregory Maxwell 2018-08-22 04:20:09 UTC
Oops.


I'd love to test it, unfortunately, my talos II board doesn't have SATA ports... so even if I dug up a DVD burner, I don't have any way to attach it.

Comment 9 Jonathan Briggs 2018-09-20 17:28:41 UTC
(In reply to Brian Lane from comment #6)

> Thanks, my concern is that if I change it it will break DVD support. Are you
> able to test that?

Brian, would a virtual machine with a virtual DVD attached be sufficient for this test?

Comment 10 Dan Horák 2018-09-20 17:42:43 UTC
I think we should test both. A VM is pseries class machine, bare metal is powernv. Both have different boot process. I have Talos with a SATA DVD drive, just lacking the time now to test it. But I want to test it ASAP.

Comment 11 Dan Horák 2019-01-08 13:05:14 UTC
So I got the chance to test it finally and it works as expected with inst.stage2 specified.

with

diff --git a/share/templates.d/99-generic/ppc64le.tmpl b/share/templates.d/99-generic/ppc64le.tmpl
index 16d8d7f1..006211a8 100644
--- a/share/templates.d/99-generic/ppc64le.tmpl
+++ b/share/templates.d/99-generic/ppc64le.tmpl
@@ -50,7 +50,8 @@ install /usr/lib/grub/powerpc-ieee1275/*.lst ${GRUBDIR}/powerpc-ieee1275
 install ${configdir}/grub.cfg.in     ${GRUBDIR}/grub.cfg
 replace @PRODUCT@ '${product.name}'  ${GRUBDIR}/grub.cfg
 replace @VERSION@ ${product.version} ${GRUBDIR}/grub.cfg
-replace @ROOT@    "${rootarg}"       ${GRUBDIR}/grub.cfg
+replace @ROOT@ 'inst.stage2=hd:LABEL=${isolabel|udev}' ${GRUBDIR}/grub.cfg
+##replace @ROOT@    "${rootarg}"       ${GRUBDIR}/grub.cfg
 
 install ${configdir}/mapping ${BOOTDIR}
 

I was able to boot the created boot.iso in
- KVM guest in "pseries" machine from the ISO image
- bare metal with burned DVD
- bare metal with USB stick with the ISO "dd-ed" to it

I'll send a proper PR for lorax ASAP.

Comment 12 Dan Horák 2019-01-08 13:15:01 UTC
opened https://github.com/weldr/lorax/pull/566


Note You need to log in before you can comment on or make changes to this bug.